# Get ephemeral TTL status for a workspace

Returns whether ephemeral TTL is enabled and related metadata.

Endpoint: GET /iacm/api/orgs/{org}/projects/{project}/workspaces/{workspace}/ephemeral-config
Version: 1.0
Security: x-api-key

## Query parameters:

  - `provisioner` (string)
    Provisioner key (defaults to opentofu when omitted)
    Example: "Eligendi minus omnis."

## Path parameters:

  - `org` (string, required)
    Org is the organisation identifier.
    Example: "bsz"

  - `project` (string, required)
    Project is the project identifier.
    Example: "r"

  - `workspace` (string, required)
    Workspace identifier
    Example: "Odit autem odit ducimus voluptatem inventore."

## Header parameters:

  - `Harness-Account` (string, required)
    Account is the internal customer account ID.
    Example: "38"

## Response 200 fields (application/json):

  - `delete_at` (string)
    Scheduled deletion timestamp (ISO 8601)
    Example: "Nihil eveniet quia quia."

  - `delete_delay_unit` (string)
    Configured delete delay unit (hours or days)
    Enum: "seconds", "minutes", "hours", "days"

  - `delete_delay_value` (integer)
    Configured delete delay value (when delete_workspace is true)
    Example: 3210605579497261600

  - `delete_on_date` (string)
    Configured delete date (YYYY-MM-DD) when schedule uses a specific date
    Example: "Voluptatem facilis omnis enim omnis."

  - `delete_workspace` (boolean)
    Whether workspace will be deleted after destroy
    Example: true

  - `destroy_at` (string)
    Scheduled destruction timestamp (ISO 8601)
    Example: "Et similique odit vel."

  - `destroy_on_date` (string)
    Configured destroy date (YYYY-MM-DD) when schedule uses a specific date
    Example: "Dolores atque error quidem."

  - `enabled` (boolean, required)
    Example: true

  - `pipeline_id` (string)
    Example: "Repellendus molestiae sit iste ut."

  - `provisioner` (string)
    Provisioner this configuration applies to
    Example: "Mollitia omnis et nulla."

  - `source` (string)
    Origin of the configuration: 'workspace', 'project', or 'disabled'
    Enum: "workspace", "project", "disabled"

  - `trigger_id` (string)
    Harness trigger ID for the destroy schedule
    Example: "Nisi occaecati tempora natus soluta."

  - `ttl_unit` (string)
    Configured destroy delay unit (hours or days)
    Enum: "seconds", "minutes", "hours", "days"

  - `ttl_value` (integer)
    Configured destroy delay value (when schedule uses delay)
    Example: 3013753820081507300

## Response 400 fields (application/vnd.goa.error):

  - `fault` (boolean, required)
    Is the error a server-side fault?

  - `id` (string, required)
    ID is a unique identifier for this particular occurrence of the problem.
    Example: "123abc"

  - `message` (string, required)
    Message is a human-readable explanation specific to this occurrence of the problem.
    Example: "parameter 'p' must be an integer"

  - `name` (string, required)
    Name is the name of this class of errors.
    Example: "bad_request"

  - `temporary` (boolean, required)
    Is the error temporary?

  - `timeout` (boolean, required)
    Is the error a timeout?
    Example: true


